/* configuration header file for compiling under Plan 9 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <u.h>
#include <libc.h>
#include </sys/include/stdio.h>

#pragma lib "./libjbig2.a"

typedef s8int int8_t;
typedef s16int int16_t;
typedef s32int int32_t;
typedef s64int int64_t;

typedef u8int uint8_t;
typedef u16int uint16_t;
typedef u32int uint32_t;
typedef u64int uint64_t;

typedef ulong size_t;

#define SIZE_MAX (~((size_t)0))

#endif
